
G = []; Nx = []; D=[]; Wx = []; P = [];
load expA.mat
paramset = 's'
switch paramset
    case {'a','selfsimilarity' }
        load simaB.mat;
        names = fields(sima);
        nruns = length(names);
        k = 1;
        sim = evalin('base',['sima.',cell2mat(names(1))]);
    case {'p','production'}
        load simpB.mat; % 5self similarity
        names = fields(simp);
        nruns = length(names);
        k = 4;
        sim = evalin('base',['simp.',cell2mat(names(1))]);
    case {'s','stickiness'}
        load simsB.mat; % self similarity
        names = fields(sims);
        nruns = length(names);
        k = 2;
        sim = evalin('base',['sims.',cell2mat(names(1))]);
    case {'e','dissipation'}
        load simeB.mat; % dissipation
        names = fields(sime);
        nruns = length(names);
        sim = evalin('base',['sime.',cell2mat(names(1))]);
        k = 3;
    otherwise
        return
end
name = strings(size(names'));
legendtext0 = strings(size(names'));
name(1) = cell2mat(names(1));
x = sim.x;
z = sim.z;
r = sim.p.ro*sim.p.delta.^x;
dr = r*(1-1/sim.p.delta);
a = sim.p.a;
legendtext0(1) = num2str(a,3);
Flux = @(sim) sum(sim.Flux)/sim.p.Ptotal;
%Flux = @(sim) sum(sim.Flux);
Nspec = @(sim) sum(sim.N);
Dmean = @(sim) 1E9*sum(sim.N.*sim.d)./sum(sim.N);
Wmean = @(sim) sum(sim.N.*sim.w)./sum(sim.N);
G(1,:) = Flux(sim); Nx(1,:) = Nspec(sim)./dr; D(1,:) = Dmean(sim); Wx(1,:) = Wmean(sim); 
sum(Flux(sim))

P(1,:) = [sim.p.a, sim.p.alpha, sim.p.epsilon, sim.p.Ptotal];
legendtext0(1) = num2str(P(1,k),3);
for i = 1:nruns
    switch paramset
    case {'a','selfsimilarity' }
        k = 1;
        sim = evalin('base',['sima.',cell2mat(names(i))]);
        xl = 'a';
    case {'s','stickiness'}
        sim = evalin('base',['sims.',cell2mat(names(i))]);
        k = 2; xl = '\alpha'
    case {'e','dissipation'}
        sim = evalin('base',['sime.',cell2mat(names(i))]);
        k = 3; xl = 'log_{10} \epsilon'
    case {'p','production'}
        sim = evalin('base',['simp.',cell2mat(names(i))]);
        k = 4; xl = 'log_{10} P'
        otherwise
        return
    end
    G(i,:) = Flux(sim); 
    Nx(i,:) = Nspec(sim)./dr; 
    D(i,:) = Dmean(sim); 
    Wx(i,:) = Wmean(sim);
    P(i,:) = [sim.p.a, sim.p.alpha, sim.p.epsilon, sim.p.Ptotal];
    a = sim.p.a
    legendtext0(i) = num2str(P(i,k),3);
end
sz = size(G);
out.g = G;
out.n = Nx;
out.d = D;
out.r = r;
%out.l = legendtext; out.l0 = legendtext0;
switch paramset
    case {'a','selfsimilarity' }
        outa = out;
    case {'p','production'}
        outp = out;
    case {'s','stickiness'}
        outs = out;
    case {'e','dissipation'}
        oute = out;
    otherwise
        return
end

x = P(:,k)';
if k > 2
    x = log10(x);
end
y = sum(G,2);

figure(1)
clf;
tfigs = tiledlayout(1,2)
nexttile
hg = semilogx(r,G,'LineWidth',2);
xlim([1E0 3E5])
ag = gca; ag.FontSize = 12; ag.LineWidth = 1;
ag.YAxis.TickLength = [0.02 0.02]
ag.XAxis.TickLength = [0.02 0.02]

nexttile
s3 = 1E12*r.^(-3);
s4 = 1E10*r.^(-4);
hn = loglog(r,Nx,r,s3,'--',r,s4,'--','LineWidth',2);
an = gca; an.FontSize = 12; an.LineWidth = 1
an.YAxisLocation = 'right'
an.YAxis.TickLength = [0.02 0.02]
an.XAxis.TickLength = [0.02 0.02]
set(hn(end),'Color',[0.7,0.7,0.7])
set(hn(end-1),'Color',[0.7,0.7,0.7])
lg = legend (legendtext0);
lg.FontSize=10;
ylim([1E-8 1E10])
xlim([1E0 3E5])
tfigs.TileSpacing = 'compact';
tfigs.Padding = 'compact';

axes('Position',[.14 .55 .1 .27])
box on
scatter([x',x']',[y,y]','filled','LineWidth',10);
ylim([0 1]);xlim([min(x) max(x)]);
ad = gca; ad.FontSize = 10; ad.TickDir='out';
ylabel('F_{total}','FontSize',12); xlabel(xl,'FontSize',12);

figure(6)
clf; 
%x = 1:sz(1);
x = P(:,k)';
if k > 2
    x = log10(x);
end
y = sum(G,2);
hd = scatter([x',x']',[y,y]','filled','LineWidth',10);
ylabel('\overbar{F}')
%hd = plot([x',x']',[0*y,y]','-','LineWidth',10);
ad = gca; ad.FontSize = 12; ad.TickDir='out';
% set(hd(end),'Color',[0.7,0.7,0.7])
%xlim([1 x(end)])
%ylim([0 .3])
%xlim([1E0 1E6]);